# list_kbs

Source: <https://everruns.com/docs/api/operations/list_kbs/>

GET

/v1/knowledge-bases

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/knowledge-bases';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/knowledge-bases
```

* Production APIapp.everruns.com/api/v1/knowledge-bases

List knowledge bases.

## Parameters

### Query Parameters

**search**

string | null

Substring filter applied to knowledge-base name and description.

**include\_archived**

boolean | null

When `true`, also returns archived knowledge bases.

## Responses

### 200

List knowledge bases

Media typeapplication/json

Response wrapper for list endpoints. All list endpoints return responses wrapped in a `data` field.

object

**data**

required

Array of items returned by the list operation.

Array\<object>

Response body for knowledge base.

object

**archived\_at**

Timestamp when this resource was archived, if any (RFC 3339).

string | null format: date-time

**created\_at**

required

Timestamp when this resource was created (RFC 3339).

string format: date-time

**deleted\_at**

Timestamp when this resource was soft-deleted, if any (RFC 3339).

string | null format: date-time

**description**

Human-readable description. Safe to render in user-facing messages.

string | null

**embedding\_model\_id**

Optional embedding model for hybrid retrieval. `null` = keyword search only.

string | null

**id**

required

Prefixed public identifier. See [ID Schema](https://everruns.com/docs/advanced/id-schema/).

string

**name**

required

Human-readable name. Safe to render in user-facing messages.

string

**status**

required

Current lifecycle status.

string

**updated\_at**

required

Timestamp when this resource was last updated (RFC 3339).

string format: date-time

##### Example

```json
{
  "data": [
    {
      "id": "kb_01933b5a000070008000000000000001"
    }
  ]
}
```